Folder
Get test folder detail
Get a test folder document by its document reference using the GET_TMT_DOCUMENT operation.
Authorizations:
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string GET_TMT_DOCUMENT |
required | object |
Responses
Request samples
- Payload
{- "id": "GET_TMT_DOCUMENT-1",
- "method": "GET_TMT_DOCUMENT",
- "jsonrpc": "2.0",
- "params": {
- "docRef": "TestFolder-dm/980d77bd-28f0-4a36-af68-a4444b13b438"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "GET_TMT_DOCUMENT-1",
- "result": {
- "docRef": "TestFolder-dm/980d77bd-28f0-4a36-af68-a4444b13b438",
- "documentModelName": "TestFolder-dm",
- "document": {
- "Root": {
- "General": {
- "Id": "F_1",
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "SubprojectId": "_",
- "TechnicalId": "80fe2370-c5c2-4e2c-975b-079d8882b4f8",
- "TenantId": "T_1",
- "TestSuiteId": "S_22",
- "Title": "Here is the folder"
}, - "Metadata": {
- "CreatedBy": "tmtautotest",
- "CreatedOn": 1747646660201,
- "DisplayCreatedOn": "2025-05-19T09:24:20",
- "DisplayEditedOn": "2026-05-07T04:17:41",
- "EditedBy": "tmtdoc",
- "EditedOn": 1778127461521,
- "IsImported": false
}
}, - "__meta": {
- "createdAt": "2026-04-14T08:37:18",
- "creator": "SYSTEM",
- "docRef": "TestFolder-dm/980d77bd-28f0-4a36-af68-a4444b13b438",
- "modelReference": "TestFolder-dm",
- "modelVersion": null,
- "modifiedAt": "2026-05-07T04:17:41",
- "modifier": "tmtdoc"
}
}
}
}List test folders
- List test folder and test cases documents for given search criteria. Please filter the test folders document only by yourself. In the next release, we will provide another operation to get all folder documents only
- Notice: QUERY operation provides the flexibility to the caller, so they can customize their search criteria. But it requires the basic understanding on the search object to get the proper result. For the test folders, it is worthy to put the attention on your search criteria. To filter out the documents are frozen by a closed run, please add this NOT operator:
{ "operator": "not", "operand": { "operator": "exact_match", "field": "/Root/Metadata/IsFrozenByClosedTestRun", "value": "true" } }
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string LIST_DOCUMENT |
required | object |
Responses
Request samples
- Payload
{- "jsonrpc": "2.0",
- "id": "query-test-folders",
- "method": "QUERY",
- "params": {
- "query": {
- "projectionName": "document",
- "targetDocumentModel": "TestFolder-dm",
- "sort": [
- {
- "field": "/Root/General/Title",
- "direction": "ASC",
- "ignoreCase": true,
- "nullHandling": "NULLS_LAST"
}
], - "constraint": {
- "operator": "and",
- "operands": [
- {
- "operator": "exact_match",
- "field": "/Root/General/ProjectId",
- "value": "P_6"
}, - {
- "operator": "exact_match",
- "field": "/Root/General/SubprojectId",
- "value": "_"
}, - {
- "operator": "exact_match",
- "field": "/Root/General/ProjectVersionNumber",
- "value": "5.0.0"
}, - {
- "operator": "exact_match",
- "field": "/Root/General/TestSuiteId",
- "value": "S_22"
}, - {
- "operator": "not",
- "operand": {
- "operator": "exact_match",
- "field": "/Root/Metadata/IsFrozenByClosedTestRun",
- "value": "true"
}
}
]
}, - "paging": {
- "pageNumber": 0,
- "pageSize": 100
}
}
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "query-test-folders",
- "result": {
- "fullSize": 1,
- "page": {
- "pageNumber": 0,
- "pageSize": 100
}, - "entries": [
- {
- "docRef": "TestFolder-dm/20754",
- "document": {
- "Root": {
- "General": {
- "ProjectId": "P_9",
- "ProjectVersionNumber": "1.2.0",
- "SubprojectId": "SP_1",
- "TestSuiteId": "S_1",
- "Title": "Accessibility",
- "Id": "F_1",
- "TechnicalId": "e8ddbe41-d1da-405c-bc2c-58b78484110a",
- "TenantId": "T_1"
}, - "Metadata": {
- "CreatedBy": "tmtdev",
- "DisplayCreatedOn": "2023-03-07T12:37:57",
- "CreatedOn": 1678192677320,
- "EditedBy": "tmtdev",
- "DisplayEditedOn": "2023-03-07T12:37:57",
- "EditedOn": 1678192677320,
- "IsImported": false
}
}, - "__meta": {
- "creator": "SYSTEM",
- "modifier": "SYSTEM",
- "docRef": "TestFolder-dm/20754",
- "modelReference": "TestFolder-dm",
- "createdAt": "2023-08-09T06:45:07",
- "modifiedAt": "2023-08-09T06:45:07",
- "modelVersion": null
}
}, - "type": "ROOT",
- "depth": 0,
- "documentModelName": "TestFolder-dm"
}
]
}
}Create a new test folder
Create a new test folder and add it into a test case tree.
The new test folder will be located at the end of the folder (or the test suite if it is at the root level)
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string CREATE_TEST_CASE_TREE_NODE |
required | object |
Responses
Request samples
- Payload
{- "id": "addTestFolder_d471998c-cfdf-432c-9e9b-a449713e2ce6",
- "method": "CREATE_TEST_CASE_TREE_NODE",
- "jsonrpc": "2.0",
- "params": {
- "document": {
- "Root": {
- "General": {
- "ProjectId": "P_9",
- "ProjectVersionNumber": "1.2.0",
- "SubprojectId": "SP_1",
- "TestSuiteId": "S_1",
- "Title": "Subscription",
- "Description": "Contain the test cases that tests the subscription feature"
}, - "Attachments": [
- {
- "FileName": "16K.jpg",
- "File": {
- "content": null,
- "attachment_id": "7449ab68-bd5c-4034-b79f-563a402f47f0",
- "internal_filename": "1731394529389-8f161c46-a102-4911-a7ac-f11c7aa71c8d.jpg",
- "original_filename": "16K.jpg",
- "size": 86838,
- "mime_type": "image/jpeg"
}, - "CreatedAt": "2024-11-12T06:55:30",
- "UploadOn": "2024-11-12",
- "OriginalFileName": "16K.jpg",
- "UploadBy": "trung",
- "Referenced": false,
- "CopyNumber": 0,
- "ThumbnailId": "dc6c84de-fe26-496b-8377-b46e21025511"
}
]
}, - "id": "-1"
}, - "documentModelName": "TestFolder-dm",
- "locale": "en",
- "parentNodeDocRef": "TestSuite-dm/20740"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "addTestFolder_d471998c-cfdf-432c-9e9b-a449713e2ce6",
- "result": {
- "linkDescriptor": {
- "relationshipModel": "TestSuiteTestCaseFolder-rm",
- "entities": [
- {
- "role": "TestSuite",
- "modelName": "TestSuite-dm",
- "docRef": "TestSuite-dm/20740"
}, - {
- "role": "TestCaseFolderSupertype",
- "modelName": "TestFolder-dm",
- "docRef": "TestFolder-dm/47532e25-b336-4375-a72b-b5173fe58571"
}
], - "predecessorLinkRef": null,
- "position": "BOTTOM"
}, - "id": "947429"
}
}Update test folder
Update test folder content
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string MODIFY_DOCUMENT |
required | object |
Responses
Request samples
- Payload
{- "id": "modifyTestFolder_7ed09ca9-955b-43be-9aa4-95afd8e9d20c",
- "method": "UPDATE_TEST_CASE_TREE_NODE",
- "jsonrpc": "2.0",
- "params": {
- "document": {
- "Root": {
- "General": {
- "ProjectId": "P_9",
- "ProjectVersionNumber": "1.2.0",
- "SubprojectId": "SP_1",
- "TestSuiteId": "S_1",
- "Title": "Responsiveness",
- "Id": "F_2",
- "TechnicalId": "88f3d26c-2b6a-4535-a5d2-2e0a6b72d40a",
- "TenantId": "T_1",
- "Description": "EDITED Folder cotnains the test cases that tests the responsiveness"
}, - "Metadata": {
- "CreatedBy": "tmtdev",
- "DisplayCreatedOn": "2023-03-07T12:41:29",
- "CreatedOn": 1678192889715,
- "EditedBy": "trung",
- "DisplayEditedOn": "2024-11-12T04:57:36",
- "EditedOn": 1731387456687,
- "IsImported": false
}, - "Attachments": [
- {
- "FileName": "16K.jpg",
- "CreatedAt": "2024-11-12T04:57:11",
- "UploadOn": "2024-11-12",
- "OriginalFileName": "16K.jpg",
- "UploadBy": "trung",
- "Referenced": false,
- "CopyNumber": 0,
- "ThumbnailId": "f2c2ee04-b8f6-490d-b6f0-68e1ac486a76",
- "File": {
- "content": null,
- "attachment_id": "2c384792-c948-44c9-9212-95376ac75000",
- "internal_filename": "1731387430179-12e66177-78d4-4eee-b598-faa629e7ddc8.jpg",
- "original_filename": "16K.jpg",
- "size": 86838,
- "mime_type": "image/jpeg"
}
}
]
}, - "__meta": {
- "creator": "SYSTEM",
- "modifier": "trung",
- "docRef": "TestFolder-dm/20753",
- "modelReference": "TestFolder-dm",
- "createdAt": "2023-08-09T06:45:07",
- "modifiedAt": "2024-11-12T04:57:36",
- "modelVersion": null
}
}, - "locale": "en",
- "docRef": "TestFolder-dm/20753"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "modifyTestFolder_7ed09ca9-955b-43be-9aa4-95afd8e9d20c",
- "result": {
- "docRef": "TestFolder-dm/20753",
- "documentModelName": "TestFolder-dm",
- "document": {
- "Root": {
- "General": {
- "Title": "Responsiveness",
- "Id": "F_2",
- "Description": "EDITED Folder cotnains the test cases that tests the responsiveness"
}
}
}
}
}Delete a test folder
Delete a test folder and its content. All test cases within test folder must not be in any open run.
Authorizations:
header Parameters
| Project-Id required | string Project Id or the project document reference |
| Subproject-Id | string Sub Project Id or the project document reference. It might be required if you want to access the sub project's resource |
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string DELETE_DOCUMENT |
required | object |
Responses
Request samples
- Payload
{- "jsonrpc": "2.0",
- "id": "DELETE_FOLDER_01",
- "method": "DELETE_FOLDER",
- "params": {
- "docRef": "TestFolder-dm/47532e25-b336-4375-a72b-b5173fe58571"
}
}Response samples
- 200
{- "jsonrpc": "2.0",
- "id": "DELETE_FOLDER_01",
- "result": null
}